Virtual Server

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Virtual Server 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.2CURRENT-
1.1DEPRECATED20260531
1.0DEPRECATED20251231

OpenAPI URL

https://virtualserver.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Accept a volume transfer

1.1.1 - 1.2

post /v1/volume-transfer/{transfer_id}/accept

Description

볼륨 이전 받기를 수락합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
볼륨 이전 ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone
bodybody
required

VolumeTransferAcceptRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferAcceptResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "auth_key": "f5972fdb456897eb"
}

Example HTTP response

Response 202

{
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.1.2 - 1.1

post /v1/volume-transfer/{transfer_id}/accept

Description

볼륨 이전 받기를 수락합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
볼륨 이전 ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone
bodybody
required

VolumeTransferAcceptRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferAcceptResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "auth_key": "f5972fdb456897eb"
}

Example HTTP response

Response 202

{
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.1.3 - 1.0

post /v1/volume-transfer/{transfer_id}/accept

Description

볼륨 이전 받기를 수락합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
볼륨 이전 ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone
bodybody
required

VolumeTransferAcceptRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferAcceptResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "auth_key": "f5972fdb456897eb"
}

Example HTTP response

Response 202

{
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.2 - Attach Virtual Server Security Group

1.2.1 - 1.0

post /v1/servers/{server_id}/security-groups

Description

서버에 Security Group을 추가합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerSecurityGroupActionRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "security_group_id": "c09c3f05-03d9-443f-b27a-40e0f973c75f"
}

Example HTTP response

Response 202

1.3 - Attach Volume to Virtual Server

1.3.1 - 1.2

post /v1/volumes/{volume_id}/servers

Description

볼륨을 서버에 연결합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
볼륨 ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeServerAttachRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeServerAttachResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "delete_on_termination": false,
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}

Example HTTP response

Response 202

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.3.2 - 1.1

post /v1/volumes/{volume_id}/servers

Description

볼륨을 서버에 연결합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
볼륨 ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeServerAttachRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeServerAttachResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "delete_on_termination": false,
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}

Example HTTP response

Response 202

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.3.3 - 1.0

post /v1/volumes/{volume_id}/servers

Description

볼륨을 서버에 연결합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
볼륨 ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeServerAttachRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeServerAttachResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "delete_on_termination": false,
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}

Example HTTP response

Response 202

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.4 - Create a snapshot

1.4.1 - 1.2

post /v1/snapshots

Description

볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotDetailResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "description": "description",
    "force": true,
    "metadata": "",
    "name": "snapshot-1",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "created_at": "2025-07-22T09:00:00Z",
    "description": "description",
    "id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "metadata": "Metadata",
    "name": "snapshot-1",
    "size": 104,
    "status": "available",
    "updated_at": "2025-07-26T12:00:00Z",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.4.2 - 1.1

post /v1/snapshots

Description

볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotDetailResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "description": "description",
    "force": true,
    "metadata": "",
    "name": "snapshot-1",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "created_at": "2025-07-22T09:00:00Z",
    "description": "description",
    "id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "metadata": "Metadata",
    "name": "snapshot-1",
    "size": 104,
    "status": "available",
    "updated_at": "2025-07-26T12:00:00Z",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.4.3 - 1.0

post /v1/snapshots

Description

볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotDetailResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "description": "description",
    "force": true,
    "metadata": "",
    "name": "snapshot-1",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "created_at": "2025-07-22T09:00:00Z",
    "description": "description",
    "id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "metadata": "Metadata",
    "name": "snapshot-1",
    "size": 104,
    "status": "available",
    "updated_at": "2025-07-26T12:00:00Z",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.5 - Create a volume transfer

1.5.1 - 1.2

post /v1/volume-transfer

Description

볼륨 이전을 신청합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeTransferRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferCreateResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "auth_key": "f5972fdb456897eb",
    "created_at": "",
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.5.2 - 1.1

post /v1/volume-transfer

Description

볼륨 이전을 신청합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeTransferRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferCreateResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "auth_key": "f5972fdb456897eb",
    "created_at": "",
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.5.3 - 1.0

post /v1/volume-transfer

Description

볼륨 이전을 신청합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeTransferRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferCreateResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "auth_key": "f5972fdb456897eb",
    "created_at": "",
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.6 - Create Auto-Scaling Group

1.6.1 - 1.2

post /v1/auto-scaling-groups

Description

Auto-Scaling Group을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AutoScalingGroupCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "name": "auto-scaling-group-name",
    "notifications": [],
    "scaling_policies": [],
    "security_group_ids": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_name_prefix": "server-name-prefix",
    "state_check_delay_time": 300,
    "subnet_ids": [
        ""
    ],
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "use_lb_state_check": true
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "launch_configuration_name": "launch-configuration-name",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "auto-scaling-group-name",
    "security_group_ids": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_name_prefix": "server-name-prefix",
    "state": "IN_SERVICE",
    "state_check_delay_time": 300,
    "subnet_ids": [],
    "total_server_count": 1,
    "use_lb_state_check": true,
    "vpc_id": "cc976b621087484ea5fd527f4b78708b"
}

1.6.2 - 1.1

post /v1/auto-scaling-groups

Description

Auto-Scaling Group을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AutoScalingGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "name": "auto-scaling-group-name",
    "notifications": [],
    "scaling_policies": [],
    "security_group_ids": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_name_prefix": "server-name-prefix",
    "subnet_ids": [
        ""
    ],
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "launch_configuration_name": "launch-configuration-name",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "auto-scaling-group-name",
    "security_group_ids": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_name_prefix": "server-name-prefix",
    "state": "IN_SERVICE",
    "subnet_ids": [],
    "total_server_count": 1,
    "vpc_id": "cc976b621087484ea5fd527f4b78708b"
}

1.6.3 - 1.0

post /v1/auto-scaling-groups

Description

Auto-Scaling Group을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AutoScalingGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "name": "auto-scaling-group-name",
    "notifications": [],
    "scaling_policies": [],
    "security_group_ids": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_name_prefix": "server-name-prefix",
    "subnet_ids": [
        ""
    ],
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "launch_configuration_name": "launch-configuration-name",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "auto-scaling-group-name",
    "security_group_ids": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_name_prefix": "server-name-prefix",
    "state": "IN_SERVICE",
    "subnet_ids": [],
    "total_server_count": 1,
    "vpc_id": "cc976b621087484ea5fd527f4b78708b"
}

1.7 - Create Auto-Scaling Group Notification

1.7.1 - 1.2

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Auto-Scaling Group 알림을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

1.7.2 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Auto-Scaling Group 알림을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

1.7.3 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Auto-Scaling Group 알림을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

1.8 - Create Auto-Scaling Group Policy

1.8.1 - 1.2

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Auto-Scaling Group 정책을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

1.8.2 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Auto-Scaling Group 정책을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

1.8.3 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Auto-Scaling Group 정책을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

1.9 - Create Auto-Scaling Group Schedule

1.9.1 - 1.2

post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Description

Auto-Scaling Group 스케줄을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

1.9.2 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Description

Auto-Scaling Group 스케줄을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

1.9.3 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Description

Auto-Scaling Group 스케줄을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

1.10 - Create Image

1.10.1 - 1.2

post /v1/images

Description

이미지를 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ImageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "container_format": "bare",
    "disk_format": "qcow2",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "protected": false,
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "visibility": "private"
}

Example HTTP response

Response 200

{
    "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
    "container_format": "bare",
    "created_at": "2025-07-22T09:00:00Z",
    "disk_format": "qcow2",
    "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
    "id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "os_hash_algo": "sha512",
    "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
    "os_hidden": false,
    "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
    "owner_account_name": "AccountName",
    "owner_user_name": "user@samsung.com",
    "protected": false,
    "root_device_name": "/dev/vda",
    "scp_gpu_driver": "535.183.06",
    "scp_image_type": "custom",
    "scp_k8s_version": "v1.28.7",
    "scp_original_image_type": "standard",
    "scp_os_build_version": "20250101",
    "scp_os_version": "8.8",
    "size": 2429747200,
    "status": "active",
    "updated_at": "2025-07-26T12:00:00Z",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "virtual_size": 17179869184,
    "visibility": "private",
    "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}

1.10.2 - 1.1

post /v1/images

Description

이미지를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ImageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "container_format": "bare",
    "disk_format": "qcow2",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "protected": false,
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "visibility": "private"
}

Example HTTP response

Response 200

{
    "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
    "container_format": "bare",
    "created_at": "2025-07-22T09:00:00Z",
    "disk_format": "qcow2",
    "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
    "id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "os_hash_algo": "sha512",
    "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
    "os_hidden": false,
    "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
    "owner_account_name": "AccountName",
    "owner_user_name": "user@samsung.com",
    "protected": false,
    "root_device_name": "/dev/vda",
    "scp_image_type": "custom",
    "scp_k8s_version": "v1.28.7",
    "scp_original_image_type": "standard",
    "scp_os_build_version": "20250101",
    "scp_os_version": "8.8",
    "size": 2429747200,
    "status": "active",
    "updated_at": "2025-07-26T12:00:00Z",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "virtual_size": 17179869184,
    "visibility": "private",
    "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}

1.10.3 - 1.0

post /v1/images

Description

이미지를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ImageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "container_format": "bare",
    "disk_format": "qcow2",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "protected": false,
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "visibility": "private"
}

Example HTTP response

Response 200

{
    "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
    "container_format": "bare",
    "created_at": "2025-07-22T09:00:00Z",
    "disk_format": "qcow2",
    "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
    "id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "os_hash_algo": "sha512",
    "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
    "os_hidden": false,
    "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
    "owner_account_name": "AccountName",
    "owner_user_name": "user@samsung.com",
    "protected": false,
    "root_device_name": "/dev/vda",
    "scp_image_type": "custom",
    "scp_k8s_version": "v1.28.7",
    "scp_original_image_type": "standard",
    "scp_os_build_version": "20250101",
    "scp_os_version": "8.8",
    "size": 2429747200,
    "status": "active",
    "updated_at": "2025-07-26T12:00:00Z",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "virtual_size": 17179869184,
    "visibility": "private",
    "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}

1.11 - Create Image member

1.11.1 - 1.2

post /v1/images/{image_id}/members

Description

Account ID를 공유 이미지 멤버로 추가합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
이미지 ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
bodybody
required

ImageMemberCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageMemberShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}

Example HTTP response

Response 200

{
    "created_at": "2025-07-22T09:00:00Z",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "status": "pending",
    "updated_at": "2025-07-26T12:00:00Z"
}

1.11.2 - 1.1

post /v1/images/{image_id}/members

Description

Account ID를 공유 이미지 멤버로 추가합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
이미지 ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
bodybody
required

ImageMemberCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageMemberShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}

Example HTTP response

Response 200

{
    "created_at": "2025-07-22T09:00:00Z",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "status": "pending",
    "updated_at": "2025-07-26T12:00:00Z"
}

1.11.3 - 1.0

post /v1/images/{image_id}/members

Description

Account ID를 공유 이미지 멤버로 추가합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
이미지 ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
bodybody
required

ImageMemberCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageMemberShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}

Example HTTP response

Response 200

{
    "created_at": "2025-07-22T09:00:00Z",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "status": "pending",
    "updated_at": "2025-07-26T12:00:00Z"
}

1.12 - Create Keypair

1.12.1 - 1.2

post /v1/keypairs

Description

새 키페어를 만들거나 공개 키를 가져옵니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeypairCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeypairCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/keypairs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "name": "keypairname",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
    "name": "keypairname",
    "private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "type": "ssh"
}

1.12.2 - 1.1

post /v1/keypairs

Description

새 키페어를 만들거나 공개 키를 가져옵니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeypairCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeypairCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/keypairs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "keypairname",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
    "name": "keypairname",
    "private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "type": "ssh"
}

1.12.3 - 1.0

post /v1/keypairs

Description

새 키페어를 만들거나 공개 키를 가져옵니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeypairCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeypairCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/keypairs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "keypairname",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
    "name": "keypairname",
    "private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "type": "ssh"
}

1.13 - Create Launch Configuration

1.13.1 - 1.2

post /v1/launch-configurations

Description

Launch Configuration을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LaunchConfigurationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLaunchConfigurationDetailShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "name": "launch-configuration-name",
    "server_type_id": "s1v1m2",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "file_storage_ids": [
        ""
    ],
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "max_iops": 10000,
            "max_throughput": 500,
            "size": 104,
            "type": "SSD"
        }
    ]
}

1.13.2 - 1.1

post /v1/launch-configurations

Description

Launch Configuration을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LaunchConfigurationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "name": "launch-configuration-name",
    "server_type_id": "s1v1m2",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

1.13.3 - 1.0

post /v1/launch-configurations

Description

Launch Configuration을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LaunchConfigurationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "name": "launch-configuration-name",
    "server_type_id": "s1v1m2",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

1.14 - Create Server Group

1.14.1 - 1.2

post /v1/server-groups

Description

서버 그룹을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServerGroup
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "name": "server-group",
    "policy": "anti-affinity",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "members": [
        "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
    ],
    "name": "server-group",
    "partition_size": 3,
    "policy": "anti-affinity",
    "user_id": "570907805e5447be84b618450ef52o0t"
}

1.14.2 - 1.1

post /v1/server-groups

Description

서버 그룹을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServerGroup
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "server-group",
    "policy": "anti-affinity",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "members": [
        "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
    ],
    "name": "server-group",
    "partition_size": 3,
    "policy": "anti-affinity",
    "user_id": "570907805e5447be84b618450ef52o0t"
}

1.14.3 - 1.0

post /v1/server-groups

Description

서버 그룹을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServerGroup
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "server-group",
    "policy": "anti-affinity",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "members": [
        "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
    ],
    "name": "server-group",
    "partition_size": 3,
    "policy": "anti-affinity",
    "user_id": "570907805e5447be84b618450ef52o0t"
}

1.15 - Create Server Interface

1.15.1 - 1.2

post /v1/servers/{server_id}/interfaces

Description

서버에 새 네트워크 포트를 생성하거나 기존 네트워크 포트를 추가합니다. 새 네트워크 포트를 생성할 때 서브넷 ID를 입력해주세요. IP는 자동 생성 또는 사용자 입력 고정 IP로 설정할 수 있습니다. 기존 네트워크 포트를 추가하려면 포트 ID를 입력해주세요.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

1.15.2 - 1.1

post /v1/servers/{server_id}/interfaces

Description

서버에 새 네트워크 포트를 생성하거나 기존 네트워크 포트를 추가합니다. 새 네트워크 포트를 생성할 때 서브넷 ID를 입력해주세요. IP는 자동 생성 또는 사용자 입력 고정 IP로 설정할 수 있습니다. 기존 네트워크 포트를 추가하려면 포트 ID를 입력해주세요.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

1.15.3 - 1.0

post /v1/servers/{server_id}/interfaces

Description

서버에 새 네트워크 포트를 생성하거나 기존 네트워크 포트를 추가합니다. 새 네트워크 포트를 생성할 때 서브넷 ID를 입력해주세요. IP는 자동 생성 또는 사용자 입력 고정 IP로 설정할 수 있습니다. 기존 네트워크 포트를 추가하려면 포트 ID를 입력해주세요.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

1.16 - Create Server Interface Nat

1.16.1 - 1.2

post /v1/servers/{server_id}/interfaces/{port_id}/static-nats

Description

Create Server Interface Public Nat.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
포트 ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}

Example HTTP response

Response 201

1.16.2 - 1.1

post /v1/servers/{server_id}/interfaces/{port_id}/static-nats

Description

Create Server Interface Public Nat.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
포트 ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}

Example HTTP response

Response 201

1.16.3 - 1.0

post /v1/servers/{server_id}/interfaces/{port_id}/static-nats

Description

Create Server Interface Public Nat.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
포트 ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}

Example HTTP response

Response 201

1.17 - Create Server Interface Private Nat

1.17.1 - 1.2

post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Description

Create Server Interface Private Nat.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
포트 ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerPrivateStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
    "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}

Example HTTP response

Response 201

1.17.2 - 1.1

post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Description

Create Server Interface Private Nat.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
포트 ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerPrivateStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
    "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}

Example HTTP response

Response 201

1.17.3 - 1.0

post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Description

Create Server Interface Private Nat.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
포트 ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerPrivateStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
    "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}

Example HTTP response

Response 201

1.18 - Create Server Volume

1.18.1 - 1.2

post /v1/servers/{server_id}/volumes

Description

생성된 볼륨을 서버에 연결합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerVolumesCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKServersVolumeResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 200

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.18.2 - 1.1

post /v1/servers/{server_id}/volumes

Description

생성된 볼륨을 서버에 연결합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerVolumesCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKServersVolumeResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 200

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.18.3 - 1.0

post /v1/servers/{server_id}/volumes

Description

생성된 볼륨을 서버에 연결합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerVolumesCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKServersVolumeResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 200

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.19 - Create Sharing Image

1.19.1 - 1.2

post /v1/images/{image_id}/share

Description

공유용 이미지를 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
이미지 ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/share

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 202

1.19.2 - 1.1

post /v1/images/{image_id}/share

Description

공유용 이미지를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
이미지 ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/share

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.19.3 - 1.0

post /v1/images/{image_id}/share

Description

공유용 이미지를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
이미지 ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/share

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.20 - Create Virtual Server

1.20.1 - 1.2

post /v1/servers

Description

서버를 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "file_storage_ids": [
        "96d258ea-dd5d-4cca-bb3a-b6909b7e2065",
        "949bd9c7-2098-4284-9685-13268d193117"
    ],
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "lock": false,
    "max_count": 2,
    "metadata": "",
    "name": "servername",
    "networks": [
        {
            "fixed_ip": "192.169.3.2",
            "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
            "public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
            "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
        }
    ],
    "partition_number": 1,
    "product_category": "compute",
    "product_offering": "virtual_server",
    "security_groups": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "server_type_id": "s1v1m2",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "delete_on_termination": false,
            "max_iops": 10000,
            "max_throughput": 500,
            "size": 104,
            "source_type": "image",
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 202

{
    "servers": [
        {
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ]
}

1.20.2 - 1.1

post /v1/servers

Description

서버를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "lock": false,
    "max_count": 2,
    "metadata": "",
    "name": "servername",
    "networks": [
        {
            "fixed_ip": "192.169.3.2",
            "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
            "public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
            "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
        }
    ],
    "partition_number": 1,
    "product_category": "compute",
    "product_offering": "virtual_server",
    "security_groups": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "server_type_id": "s1v1m2",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": []
}

Example HTTP response

Response 202

{
    "servers": [
        {
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ]
}

1.20.3 - 1.0

post /v1/servers

Description

서버를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "lock": false,
    "max_count": 2,
    "metadata": "",
    "name": "servername",
    "networks": [
        {
            "fixed_ip": "192.169.3.2",
            "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
            "public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
            "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
        }
    ],
    "partition_number": 1,
    "product_category": "compute",
    "product_offering": "virtual_server",
    "security_groups": [
        "c09c3f05-03d9-443f-b27a-40e0f973c75f"
    ],
    "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "server_type_id": "s1v1m2",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": []
}

Example HTTP response

Response 202

{
    "servers": [
        {
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ]
}

1.21 - Create Virtual Server Custom Image

1.21.1 - 1.2

post /v1/servers/{server_id}/images

Description

서버 커스텀 이미지를 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerCreateImageRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateImageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "image_name": "imagename"
}

Example HTTP response

Response 202

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}

1.21.2 - 1.1

post /v1/servers/{server_id}/images

Description

서버 커스텀 이미지를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerCreateImageRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateImageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "image_name": "imagename"
}

Example HTTP response

Response 202

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}

1.21.3 - 1.0

post /v1/servers/{server_id}/images

Description

서버 커스텀 이미지를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerCreateImageRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateImageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_name": "imagename"
}

Example HTTP response

Response 202

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}

1.22 - Create Virtual Server Dump

1.22.1 - 1.2

post /v1/servers/{server_id}/dump

Description

서버 Dump를 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/dump

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 202

1.22.2 - 1.1

post /v1/servers/{server_id}/dump

Description

서버 Dump를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/dump

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.22.3 - 1.0

post /v1/servers/{server_id}/dump

Description

서버 Dump를 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
서버 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/dump

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.23 - Create Volume

1.23.1 - 1.2

post /v1/volumes

Description

볼륨을 생성합니다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "max_iops": 10000,
    "max_throughput": 500,
    "name": "volume01",
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2026-04-14T15:06:31.797Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "max_iops": 10000,
    "max_throughput": 500,
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2026-04-14T15:06:30.712Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}

1.23.2 - 1.1

post /v1/volumes

Description

볼륨을 생성합니다.

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "volume01",
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2026-04-14T15:06:30.677Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2026-04-14T15:06:30.712Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
[...]
